!
! Copyright 08/30/96 Sun Microsystems, Inc. All Rights Reserved
!

!	ident	"@(#)general.res	1.2	96/08/30 SMI"

!
! Resources used for both CDE and non-CDE (e.g. Motif) environments.
!

! Get the right things to have shadows and only the right things
! (Please keep this list sorted.)
XMakeTool*HTML*shadowThickness: 1
XMakeTool*PsGrid*shadowThickness: 1
XMakeTool*XMCascadeButtonGadget*shadowThickness: 1
XMakeTool*XmCascadeButton*shadowThickness: 1
XMakeTool*XmDrawnButton*shadowThickness: 1
XMakeTool*XmDrawnButtonGadget*shadowThickness: 1
XMakeTool*XmList*shadowThickness: 1
XMakeTool*XmOptionMenu*OptionButton*shadowThickness: 1
XMakeTool*XmOptionMenu*shadowThickness: 1
XMakeTool*XmPanedWindow*sashShadowThickness: 1
XMakeTool*XmPushButton*shadowThickness: 1
XMakeTool*XmPushButtonGadget*shadowThickness: 1
XMakeTool*XmScale*shadowThickness: 1
XMakeTool*XmScrollBar*shadowThickness: 1
XMakeTool*XmSelectionBox*shadowThickness: 1
XMakeTool*XmSeparator*shadowThickness: 2
XMakeTool*XmSeparatorGadget*shadowThickness: 2
XMakeTool*XmText*shadowThickness: 1
XMakeTool*XmTextField*shadowThickness: 1
XMakeTool*XmToggleButton.shadowThickness: 0
XMakeTool*XmToggleButtonGadget.shadowThickness: 0

! Tighten up scrollbar spacing
XMakeTool*XmScrolledWindow*spacing: 0
XMakeTool*dtTermScrolledWindow*spacing: 0

! Shrink height of menubars
XMakeTool*XmCascadeButton.marginHeight: 2
XMakeTool*XmCascadeButton.marginWidth:  5

XMakeTool*XmText*wordWrap:	True

! General Help Dialog
XMakeTool*XmDialogShell.DtHelpDialog*DisplayArea.background: White
XMakeTool*XmDialogShell*XmDialogShell.DtHelpDialog*DisplayArea.background: White
XMakeTool*XmDialogShell.DtHelpDialog*DisplayArea.foreground: Black
XMakeTool*XmDialogShell*XmDialogShell.DtHelpDialog*DisplayArea.foreground: Black
! Quick Help Dialog
XMakeTool*XmDialogShell.DtHelpQuickDialog*DisplayArea.background: White
XMakeTool*XmDialogShell*XmDialogShell.DtHelpQuickDialog*DisplayArea.background: White
XMakeTool*XmDialogShell.DtHelpQuickDialog*DisplayArea.foreground: Black
XMakeTool*XmDialogShell*XmDialogShell.DtHelpQuickDialog*DisplayArea.foreground: Black

!!
!! Help menu mnemonics
!!
XMakeTool*OverView.mnemonic: H
XMakeTool*On Item.mnemonic: O
XMakeTool*spare1.mnemonic: D
XMakeTool*Release Notes.mnemonic: R
XMakeTool*Online Documentation.mnemonic: W
XMakeTool*Send Comments.mnemonic: S
XMakeTool*About Toolname.mnemonic: A

!
! End of resources used for both CDE and non-CDE (e.g. Motif) environments.
!
!
! Copyright 07/31/96 Sun Microsystems, Inc. All Rights Reserved
!

!	ident	"@(#)non-cde.res	1.12	96/07/31 SMI"

!
! Resources used for non-CDE (e.g. Motif)  environments.
!

XMakeTool*foreground: black

XMakeTool*canvasForeground:           black
XMakeTool*canvasBackground:           white

! Form backgrounds (main windows and dialog boxes), buttons and menus
XMakeTool*background: #dededededede
XMakeTool*XmPushButton*background: #dededededede
XMakeTool*XmMenuShell*background: #dededededede
XMakeTool*XmScrolledWindow*background: #dededededede

! Readonly text areas (lists); XmText may need to be overwritten if writable
XMakeTool*XmList*background: #dededededede

! Writable text areas; specific widgets will need to be overwritten if they
! are readonly
XMakeTool*XmTextField*background: white
XMakeTool*XmText*background: white

! Drawing areas probably have to be done individually. Make the default
! white.  Some may not want to be white.
XMakeTool*XmDrawingArea.background: white

! Get the shadows right (not needed on CDE)
XMakeTool*topShadowColor: white

! Toggle button colors.  Should not set for CDE
XMakeTool*XmToggleButton.selectColor:#FFFF66666666
XMakeTool*XmToggleButton.fillOnSelect:    true
XMakeTool*XmToggleButtonGadget.selectColor:   #FFFF66666666
XMakeTool*XmToggleButtonGadget.fillOnSelect:    true

XMakeTool*labelFontList: -*-lucida-medium-r-normal-*-12-*-*-*-*-*-*-*
XMakeTool*buttonFontList: -*-lucida-medium-r-normal-*-12-*-*-*-*-*-*-*
XMakeTool*textFontList: -*-lucidatypewriter-medium-r-normal-*-12-*-*-*-*-*-*-*

!
! End of resources used for non-CDE (e.g. Motif)  environments.
!
XMakeTool*build_cascade.mnemonic: B
XMakeTool*new_target.mnemonic: N
XMakeTool*edit_target.mnemonic: E
XMakeTool*do_build.mnemonic: B
XMakeTool*stop_build.mnemonic: S
XMakeTool*saveas.mnemonic: A
XMakeTool*show_workshop.mnemonic: W
XMakeTool*close.mnemonic: C
XMakeTool*edit_cascade.mnemonic: E
XMakeTool*accumulate.mnemonic: O
XMakeTool*clear.mnemonic: C
XMakeTool*view_cascade.mnemonic: V
XMakeTool*previous_err.mnemonic: P
XMakeTool*next_err.mnemonic: N
XMakeTool*current_err.mnemonic: C
XMakeTool*deptree.mnemonic: D
XMakeTool*jobs_graph.mnemonic: J
XMakeTool*helpWidget.mnemonic: H
XMakeTool.ThreeDotsFont: -b&h-lucida-bold-r-normal-sans-20-0-100-100-p-0-iso8859-1
XMakeTool*build_cascade.mnemonic: B
XMakeTool*build_button.mnemonic: B
XMakeTool*stop_build_button.mnemonic: S
XMakeTool*tree_cascade.mnemonic: T
XMakeTool*load_button.mnemonic: L
XMakeTool*stop_load_button.mnemonic: S
XMakeTool*view_cascade.mnemonic: V
XMakeTool*derived_button.mnemonic: D
XMakeTool*outofdate_button.mnemonic: O
XMakeTool*all_button.mnemonic: S
XMakeTool*node_cascade.mnemonic: N
XMakeTool*fold_button.mnemonic: C
XMakeTool*headers_button.mnemonic: A
XMakeTool*pshelp_cascade.mnemonic: H
XMakeTool*jobs_graph_build_cascade.mnemonic: B
XMakeTool*jobs_graph_new_target.mnemonic: N
XMakeTool*jobs_graph_edit_target.mnemonic: E
XMakeTool*jobs_graph_build.mnemonic: B
XMakeTool*jobs_graph_stop_build.mnemonic: S
XMakeTool*jobs_graph_close.mnemonic: C
XMakeTool*jobs_graph_options_cascade.mnemonic: O
XMakeTool*jobs_graph_options.mnemonic: G
XMakeTool*pshelp_cascade.mnemonic: H
!HTML resources

!html fonts for 'C' locale (English)
XMakeTool**HTML*TitleFont:       -*-lucida-bold-r-normal-*-24-*-*-*-*-*-iso8859-1
XMakeTool**HTML*Font:            -*-lucida-medium-r-normal-*-12-*-*-*-*-*-iso8859-1
XMakeTool**HTML*ItalicFont:      -*-lucida-medium-i-normal-*-12-*-*-*-*-*-iso8859-1
XMakeTool**HTML*BoldFont:        -*-lucida-bold-r-normal-*-12-*-*-*-*-*-iso8859-1
XMakeTool**HTML*FixedFont:       -*-lucidatypewriter-medium-r-normal-*-15-*-*-*-*-*-iso8859-1
XMakeTool**HTML*FixeditalicFont: -*-lucidatypewriter-medium-o-normal-*-14-*-*-*-*-*-iso8859-1
XMakeTool**HTML*FixedboldFont:   -*-lucidatypewriter-bold-r-normal-*-15-*-*-*-*-*-iso8859-1
XMakeTool**HTML*Header1Font:     -*-lucida-bold-r-normal-*-24-*-*-*-*-*-iso8859-1
XMakeTool**HTML*Header2Font:     -*-lucida-bold-r-normal-*-18-*-*-*-*-*-iso8859-1
XMakeTool**HTML*Header3Font:     -*-lucida-bold-r-normal-*-18-*-*-*-*-*-iso8859-1
XMakeTool**HTML*Header4Font:     -*-lucida-bold-r-normal-*-14-*-*-*-*-*-iso8859-1
XMakeTool**HTML*Header5Font:     -*-lucida-bold-r-normal-*-12-*-*-*-*-*-iso8859-1
XMakeTool**HTML*Header6Font:     -*-lucida-bold-r-normal-*-10-*-*-*-*-*-iso8859-1
XMakeTool**HTML*AddressFont:     -*-lucida-medium-i-normal-*-10-*-*-*-*-*-*-*
XMakeTool**HTML*PlainFont:       -*-lucidatypewriter-medium-r-normal-*-12-*-*-*-*-*-iso8859-1
XMakeTool**HTML*PlainboldFont:   -*-lucidatypewriter-bold-r-normal-*-12-*-*-*-*-*-iso8859-1
XMakeTool**HTML*PlainitalicFont: -*-lucidatypewriter-medium-i-normal-*-12-*-*-*-*-*-iso8859-1
XMakeTool**HTML*ListingFont:     -*-lucidatypewriter-medium-r-normal-*-12-*-*-*-*-*-iso8859-1

!HTML WC font resources for locales with multi-byte characers. If set,
!non-ascii characters written to HTML displays are interpretted as
!multi-byte characters and displayed with font indicated by the resource.
!
!!html fonts for Japanese locale
!XMakeTool*HTML*WCfont: -jis-fixed-medium-r-normal--16-150-75-75-c-160-*-0
!XMakeTool*HTML*italicWCFont: -jis-fixed-medium-r-normal--16-150-75-75-c-160-*-0
!XMakeTool*HTML*boldWCFont: -jis-fixed-medium-r-normal--16-150-75-75-c-160-*-0
!XMakeTool*HTML*fixedWCFont: -jis-fixed-medium-r-normal--16-150-75-75-c-160-*-0
!XMakeTool*HTML*fixedboldWCFont: -jis-fixed-medium-r-normal--16-150-75-75-c-160-*-0
!XMakeTool*HTML*fixeditalicWCFont: -jis-fixed-medium-r-normal--16-150-75-75-c-160-*-0
!XMakeTool*HTML*header1WCFont: -jis-fixed-medium-r-normal--16-150-75-75-c-160-*-0
!XMakeTool*HTML*header2WCFont: -jis-fixed-medium-r-normal--16-150-75-75-c-160-*-0
!XMakeTool*HTML*header3WCFont: -jis-fixed-medium-r-normal--16-150-75-75-c-160-*-0
!XMakeTool*HTML*header4WCFont: -jis-fixed-medium-r-normal--16-150-75-75-c-160-*-0
!XMakeTool*HTML*header4WCFont: -jis-fixed-medium-r-normal--16-150-75-75-c-160-*-0
!XMakeTool*HTML*header5WCFont: -jis-fixed-medium-r-normal--16-150-75-75-c-160-*-0
!XMakeTool*HTML*header6WCFont: -jis-fixed-medium-r-normal--16-150-75-75-c-160-*-0
!XMakeTool*HTML*addressWCFont: -jis-fixed-medium-r-normal--16-150-75-75-c-160-*-0
!XMakeTool*HTML*plainWCFont: -jis-fixed-medium-r-normal--16-150-75-75-c-160-*-0
!XMakeTool*HTML*plainboldWCFont: -jis-fixed-medium-r-normal--16-150-75-75-c-160-*-0
!XMakeTool*HTML*plainitalicWCFont: -jis-fixed-medium-r-normal--16-150-75-75-c-160-*-0
!XMakeTool*HTML*listingWCFont: -jis-fixed-medium-r-normal--16-150-75-75-c-160-*-0


!Colors for HTML
XMakeTool*HTML*anchorColor:                     	#0000FF
XMakeTool*HTML*visitedAnchorColor:              	#765399
XMakeTool*HTML*activeAnchorFG:                  	#0000FF
XMakeTool*HTML*activeAnchorBG:                  	#FFCC40
XMakeTool*HTML*AnchorUnderlines:			1
XMakeTool*HTML*VisitedAnchorUnderlines:		1
XMakeTool*HTML*DashedAnchorUnderlines:		False
XMakeTool*HTML*DashedVisitedAnchorUnderlines:	True

! Margin Settings
XMakeTool*HTML*marginWidth:			4
XMakeTool*HTML*marginHeight:			4

! HTML widget shadow thickness
XMakeTool**HTML*shadowThickness: 		1

!Should text be automatically wrapped?
XMakeTool*HTML*wrapPreformatText:		True

!Should the vertical scroll bar always be available?
XMakeTool*HTML*verticalScrollbarAlways:		True

! End of HTML resources

